(paths){
  PIECE_SETUP Paths.C (path[1[+1]5]){ }(path[1[+1]5]);
  if (JMODE==2) DRAW_LATEX EXCLMARK \;;
}(paths);

(path1){
  PIECE_SETUP Jets.C (jets){ }(jets);
  PATH_PIECE PATH1/;
  if (JETCONTS&2) { LINE_COLOUR RED1; @@ CLC RED1; }
  else LINE_STYLE 1;
  @@ LNORM NORML1;
  @@ JNORM NORMJ1;
//   DRAW_LATEX NORML1 | TOP 1.1 LEFT 0 SIZE 0.03 COLOUR 1 ALIGN 12 \;;
//   DRAW_LATEX NORMJ1 | TOP 1.05 LEFT 0 SIZE 0.03 COLOUR 1 ALIGN 12 \;;
//   if (DRAWCUT!=false) {
//     if (LOGX==true) DRAW_LINE V log10(sqrt(CUT1)*ECMS) | STYLE 1 \;;
//     if (LOGX!=true) DRAW_LINE V sqrt(CUT1)*ECMS | STYLE 1 \;;
//   }
  if ("KFAC1"!="1") {
    Y_FUNCTION y*KFAC1;
    LEGEND_TITLE TITLE1 x KFAC1;
  }
  else LEGEND_TITLE TITLE1;
  //LEGEND_TITLE TITLE1;
}(path1);

(path2){
  PIECE_SETUP Jets.C (jets){ }(jets);
  PATH_PIECE PATH2/;
  if (JETCONTS&2) { LINE_COLOUR GREEN1; @@ CLC GREEN1; }
  else LINE_STYLE 2;
  @@ LNORM NORML2;
  @@ JNORM NORMJ2;
//   DRAW_LATEX NORML2 | TOP 1.1 LEFT 0.3 SIZE 0.03 COLOUR RED1 ALIGN 12 \;;
//   DRAW_LATEX NORMJ2 | TOP 1.05 LEFT 0.3 SIZE 0.03 COLOUR RED1 ALIGN 12 \;;
//   if (DRAWCUT!=false) {
//     if (LOGX==true) DRAW_LINE V log10(sqrt(CUT2)*ECMS) | STYLE 2 \;;
//     if (LOGX!=true) DRAW_LINE V sqrt(CUT2)*ECMS | STYLE 2 \;;
//   }
  // Y_FUNCTION y*KFAC;
  // Y_FUNCTION y;
  if ("KFAC2"!="1") {
    Y_FUNCTION y*KFAC2;
    LEGEND_TITLE TITLE2 x KFAC2;
  }
  else LEGEND_TITLE TITLE2;
}(path2);

(path3){
  PIECE_SETUP Jets.C (jets){ }(jets);
  PATH_PIECE PATH3/;
  if (JETCONTS&2) { LINE_COLOUR BLUE1; @@ CLC BLUE1; }
  else LINE_STYLE 3;
  @@ LNORM NORML3;
  @@ JNORM NORMJ3;
//   DRAW_LATEX NORML3 | TOP 1.1 LEFT 0.6 SIZE 0.03 COLOUR GREEN1 ALIGN 12 \;;
//   DRAW_LATEX NORMJ3 | TOP 1.05 LEFT 0.6 SIZE 0.03 COLOUR GREEN1 ALIGN 12 \;;
//   if (DRAWCUT!=false) {
//     if (LOGX==true) DRAW_LINE V log10(sqrt(CUT3)*ECMS) | STYLE 3 \;;
//     if (LOGX!=true) DRAW_LINE V sqrt(CUT3)*ECMS | STYLE 3 \;;
//   }
  // Y_FUNCTION y*KFAC;
  if ("KFAC3"!="1") {
    Y_FUNCTION y*KFAC3;
    LEGEND_TITLE TITLE3 x KFAC3;
  }
  else LEGEND_TITLE TITLE3;
}(path3);

(path4){
  PIECE_SETUP Jets.C (jets){ }(jets);
  PATH_PIECE PATH4/;
  if (JETCONTS&2) { LINE_COLOUR VIOLET1; @@ CLC VIOLET1; }
  else LINE_STYLE 4;
  @@ LNORM NORML4;
  @@ JNORM NORMJ4;
//   DRAW_LATEX NORML4 | TOP 1.1 LEFT 0.9 SIZE 0.03 COLOUR 4 ALIGN 12 \;;
//   DRAW_LATEX NORMJ4 | TOP 1.05 LEFT 0.9 SIZE 0.03 COLOUR 4 ALIGN 12 \;;
//   if (DRAWCUT!=false) {
//     if (LOGX==true) DRAW_LINE V log10(sqrt(CUT4)*ECMS) | PRIORITY -10 STYLE 4 \;;
//     if (LOGX!=true) DRAW_LINE V sqrt(CUT4)*ECMS | PRIORITY -10 STYLE 4 \;;
//   }
  // Y_FUNCTION y*KFAC;
  // Y_FUNCTION -y;
  if ("KFAC4"!="1") {
    Y_FUNCTION y*KFAC4;
    LEGEND_TITLE TITLE4 x KFAC4;
  }
  else LEGEND_TITLE TITLE4;
}(path4);

(path5){
  PIECE_SETUP Jets.C (jets){ }(jets);
  PATH_PIECE PATH5/; DRAW_PRIORITY -1;
  if (JETCONTS&2) { LINE_COLOUR YELLOW1; @@ CLC YELLOW1; }
  else LINE_STYLE 3;
  @@ LNORM NORML5;
  @@ JNORM NORMJ5;
//   DRAW_LATEX NORML1 | TOP 1.1 LEFT 0 SIZE 0.03 COLOUR 1 ALIGN 12 \;;
//   DRAW_LATEX NORMJ1 | TOP 1.05 LEFT 0 SIZE 0.03 COLOUR 1 ALIGN 12 \;;
//   if (DRAWCUT!=false) {
//     if (LOGX==true) DRAW_LINE V log10(sqrt(CUT1)*ECMS) | STYLE 1 \;;
//     if (LOGX!=true) DRAW_LINE V sqrt(CUT1)*ECMS | STYLE 1 \;;
//   }
  // Y_FUNCTION y*KFAC;
  if ("KFAC5"!="1") {
    Y_FUNCTION y*KFAC5;
    LEGEND_TITLE TITLE5 x KFAC5;
  }
  else LEGEND_TITLE TITLE5;
}(path5);

(refpath){
  PIECE_SETUP Data.C (data){ }(data);
  if (CREFP==0) {
    PATH_PIECE PATH1/ PATH2/ PATH3/;
  }
  else {
    PATH_PIECE PATHCREFP/ PATHCREFP/ PATHCREFP/;
  }
  DATA_TYPE ALGEBRA((y[0]+y[1]+y[2])/3);
  LINE_COLOUR 12;
  LINE_WIDTH 1;
  DRAW_PRIORITY -10;
  NODRAW YES;
  if (NOCONT==true) NODRAW YES;
  DRAW_LEGEND NO;
  ALIAS_NAME reference_OBS;
}(refpath);

(dpath){
  PATH_PIECE DPATH/; FILE_PIECE .dat;
  DATA_TYPE ASCII; DRAW_OPTION P;
  MARKER_STYLE 21; MARKER_SIZE 0.5;
  Y_VALUE 4; Y_ERROR_PLUS 5; Y_ERROR_MINUS 5;
  X_ERROR_MINUS 2; X_ERROR_PLUS 3;
  DRAW_PRIORITY 10; LEGEND_TITLE Tevatron data;
  //  ALIAS_NAME data_OBS;
  ALIAS_NAME reference_OBS;
}(dpath);

